%define upstream_name    Text-Xslate
%define upstream_version 3.3.9

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    The same as Kolon but using [% ... %] tags
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::MessagePack) >= 0.380.0
BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.180.0
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl(parent) >= 0.221.0
BuildRequires: perl-devel
%description
*Xslate* is a template engine, tuned for persistent applications, safe as
an HTML generator, and with rich features.

There are a lot of template engines in CPAN, for example Template-Toolkit,
Text::MicroTemplate, HTML::Template, and so on, but all of them have
demerits at some points. This is why Xslate is developed and now it is
well-honed as the standard template engine for web applications.

The concept of Xslate is strongly influenced by Text::MicroTemplate and
Template-Toolkit 2, but the central philosophy of Xslate is different from
them. That is, the philosophy is *sandboxing* that the template logic
should not have no access outside the template beyond your permission.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes HACKING META.yml MYMETA.yml example
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/xslate
%{_mandir}/man1/xslate.1.xz

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.3.9-2.mga6
+ Revision: 1035185
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3.3.9-1.mga6
+ Revision: 1002323
- update to 3.3.9

* Fri Feb 12 2016 umeabot <umeabot> 3.3.7-2.mga6
+ Revision: 958086
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 3.3.7-1.mga6
+ Revision: 873665
- update to 3.3.7

* Wed Aug 05 2015 sander85 <sander85> 3.3.5-1.mga6
+ Revision: 861397
- update to 3.3.5

* Thu Jun 25 2015 tv <tv> 3.3.4-1.mga6
+ Revision: 843866
- add 3 BR for skipped tests
- new release
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 3.3.3-3.mga5
+ Revision: 748500
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.3-2.mga5
+ Revision: 686670
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 sander85 <sander85> 3.3.3-1.mga5
+ Revision: 659806
- update to 3.3.3

* Sun Aug 03 2014 sander85 <sander85> 3.3.1-1.mga5
+ Revision: 659444
- update to 3.3.1

* Tue Jul 15 2014 sander85 <sander85> 3.2.5-1.mga5
+ Revision: 653064
- update to 3.2.5

* Tue Jun 03 2014 jquelin <jquelin> 3.2.4-2.mga5
+ Revision: 632422
- perl 5.20.0 rebuild

* Tue May 06 2014 jquelin <jquelin> 3.2.4-1.mga5
+ Revision: 620815
- update to 3.2.4

* Tue Apr 15 2014 jquelin <jquelin> 3.2.0-1.mga5
+ Revision: 615061
- update to 3.2.0

* Mon Feb 24 2014 jquelin <jquelin> 3.1.2-1.mga5
+ Revision: 596397
- update to 3.1.2

* Mon Feb 10 2014 jquelin <jquelin> 3.1.1-1.mga5
+ Revision: 588775
- update to 3.1.1

* Mon Oct 21 2013 umeabot <umeabot> 2.1.0-2.mga4
+ Revision: 539669
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 sander85 <sander85> 2.1.0-1.mga4
+ Revision: 492688
- update to 2.0010

* Tue Jul 09 2013 sander85 <sander85> 2.0.900-1.mga4
+ Revision: 452009
- update to 2.0009

* Wed Jun 26 2013 jquelin <jquelin> 2.0.700-1.mga4
+ Revision: 447160
- update to 2.0007

* Fri May 31 2013 jquelin <jquelin> 2.0.400-1.mga4
+ Revision: 433766
- update to 2.0004
- update to 2.0003
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.600.200-2.mga3
+ Revision: 374254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.600.200-1.mga3
+ Revision: 342756
- update to 1.6002

* Wed Nov 07 2012 jquelin <jquelin> 1.502.500-1.mga3
+ Revision: 315904
- update to 1.5025

* Wed Oct 17 2012 jquelin <jquelin> 1.502.400-1.mga3
+ Revision: 307576
- update to 1.5024

* Mon Oct 15 2012 jquelin <jquelin> 1.502.300-1.mga3
+ Revision: 306261
- update to 1.5023

* Mon Oct 08 2012 jquelin <jquelin> 1.501.900-1.mga3
+ Revision: 303471
- imported package perl-Text-Xslate


* Mon Oct 08 2012 cpan2dist 1.5019-1mga
- initial mageia release, generated with cpan2dist
